Skip to main content
GET
/
v2
/
dexpools
/
{chain}
/
{poolAddress}
DexPool - Detail
curl --request GET \
  --url https://api.dex.chainstream.io/v2/dexpools/{chain}/{poolAddress} \
  --header 'Authorization: Bearer <token>'
{
  "chain": "sol",
  "createdBlockTimestamp": "2024-01-15T10:30:00Z",
  "feeRate": "0.003",
  "image": "https://ipfs.io/ipfs/bafkreid7667676767676767676767676767676767676767676767676767676767676767",
  "liquidityModel": 1,
  "poolAddress": "58oQChx4yWmvKdwLLZzBi4ChoCc2fqCUWBkwMihLYQo2",
  "programAddress": "whirLbMiicVdio4qvUfM5KAg6Ct8VwpYzGff3uctyCc",
  "protocolFamily": "OrcaWhirpool",
  "protocolName": "OrcaWhirpool AMM V2",
  "tickSpacing": 64,
  "tokenAAddress": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
  "tokenALiquidity": {
    "amountInNative": "5000.123",
    "amountInUsd": "1000000.45",
    "decimals": 6,
    "priceNative": "0.005",
    "priceUsd": "1.0001",
    "tokenAddress": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
    "vaultAmount": "1000000000000"
  },
  "tokenBAddress": "Es9vMFrzaCERmJfrF4H2FYD4KCoNkY11McCe8BenwNYB",
  "tokenBLiquidity": {
    "amountInNative": "5000.123",
    "amountInUsd": "1000000.45",
    "decimals": 6,
    "priceNative": "0.005",
    "priceUsd": "1.0001",
    "tokenAddress": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
    "vaultAmount": "1000000000000"
  },
  "tokenCount": 2,
  "tvlInSol": "1000000.45",
  "tvlInUsd": "1000000.45",
  "type": 1,
  "version": 2
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

chain
enum<string>
required

A chain name listed in supported networks Supported blockchain chains

Available options:
sol,
eth,
bsc
poolAddress
string
required

A pool address

Response

200 - application/json

Successful response

DEX pool detail

chain
string
required

Chain identifier

poolAddress
string
required

Pool address

tokenAAddress
string
required

Token A address

tokenBAddress
string
required

Token B address

createdBlockTimestamp
string | null

Creation block timestamp

feeRate
string | null

Fee rate

image
string | null

Image URL

liquidityModel
integer<int32> | null

Liquidity model

Required range: x >= 0
programAddress
string | null

DEX program address

protocolFamily
string | null

Protocol family

protocolName
string | null

Protocol name

tickSpacing
integer<int64> | null

Tick spacing

tokenALiquidity
object

Token A liquidity

tokenBLiquidity
object

Token B liquidity

tokenCount
integer<int32> | null

Token count

tvlInSol
string | null

TVL in native token

tvlInUsd
string | null

TVL in USD

type
integer<int32> | null

Pool type

Required range: x >= 0
version
integer<int32> | null

Pool version

Required range: x >= 0